FROM anapsix/alpine-java:8_server-jre_unlimited

MAINTAINER Lion Li

RUN mkdir -p /nexo/xxl-job-admin/logs \
    /nexo/skywalking/agent

WORKDIR /nexo/xxl-job-admin

ENV TZ=PRC
RUN ln -snf /usr/share/zoneinfo/$TZ /etc/localtime && echo $TZ > /etc/timezone

EXPOSE 9900

ADD ./target/nexo-xxl-job-admin.jar ./app.jar

ENTRYPOINT ["java", \
            "-Djava.security.egd=file:/dev/./urandom", \
#            "-Dskywalking.agent.service_name=nexo-xxl-job-admin", \
#            "-javaagent:/nexo/skywalking/agent/skywalking-agent.jar", \
            "-jar", "app.jar"]
